# Gimp.Config.serialize_to_fd

    @accepts(Gimp.Config, int, gpointer)
    @returns(bool)
    def serialize_to_fd(self, fd, data):
        # Python wrapper for gimp_config_serialize_to_fd()

Serializes the object properties of self to the given file descriptor.

Since 2.4

self

  an object that implements [iface@ConfigInterface].

fd

  a file descriptor, opened for writing

data

  user data passed to the serialize implementation.

Returns